org.bouncycastle.pqc.crypto.mldsa

## Class MLDSASigner

- java.lang.Object
- - org.bouncycastle.pqc.crypto.mldsa.MLDSASigner

- All Implemented Interfaces:
    Signer

  Deprecated.
  use org.bouncycastle.crypto.signers.MLDSASigner

      @Deprecated
      public class MLDSASigner
      extends java.lang.Object
      implements Signer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLDSASigner()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateMu()` Deprecated.
    `byte[]` | `generateMuSignature(byte[] mu)` Deprecated.
    `byte[]` | `generateSignature()` Deprecated. generate a signature for the message we've been loaded with using the key we were initialised with.
    `void` | `init(boolean forSigning, CipherParameters param)` Deprecated. Initialise the signer for signing or verification.
    `protected byte[]` | `internalGenerateSignature(byte[] message, byte[] random)` Deprecated.
    `protected boolean` | `internalVerifySignature(byte[] message, byte[] signature)` Deprecated.
    `void` | `reset()` Deprecated. reset the internal state
    `void` | `update(byte b)` Deprecated. update the internal digest with the byte b
    `void` | `update(byte[] in, int off, int len)` Deprecated. update the internal digest with the byte array in
    `boolean` | `verifyMu(byte[] mu)` Deprecated.
    `boolean` | `verifyMuSignature(byte[] mu, byte[] signature)` Deprecated.
    `boolean` | `verifySignature(byte[] signature)` Deprecated. return true if the internal state represents the signature described in the passed in array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MLDSASigner

          public MLDSASigner()

      Deprecated.

  - ### Method Detail

    - #### init

          public void init(boolean forSigning,
                           CipherParameters param)

      Deprecated.
      Description copied from interface: `Signer`
      Initialise the signer for signing or verification.
      Specified by:
        `init` in interface `Signer`
      Parameters:
        `forSigning` - true if for signing, false otherwise
        `param` - necessary parameters.

    - #### update

          public void update(byte b)

      Deprecated.
      Description copied from interface: `Signer`
      update the internal digest with the byte b
      Specified by:
        `update` in interface `Signer`

    - #### update

          public void update(byte[] in,
                             int off,
                             int len)

      Deprecated.
      Description copied from interface: `Signer`
      update the internal digest with the byte array in
      Specified by:
        `update` in interface `Signer`

    - #### generateMu

          public byte[] generateMu()
                            throws CryptoException,
                                   DataLengthException

      Deprecated.
      Throws:
        `CryptoException`
        `DataLengthException`

    - #### generateMuSignature

          public byte[] generateMuSignature(byte[] mu)
                                     throws CryptoException,
                                            DataLengthException

      Deprecated.
      Throws:
        `CryptoException`
        `DataLengthException`

    - #### generateSignature

          public byte[] generateSignature()
                                   throws CryptoException,
                                          DataLengthException

      Deprecated.
      Description copied from interface: `Signer`
      generate a signature for the message we've been loaded with using the key we were initialised with.
      Specified by:
        `generateSignature` in interface `Signer`
      Throws:
        `CryptoException`
        `DataLengthException`

    - #### verifyMu

          public boolean verifyMu(byte[] mu)

      Deprecated.

    - #### verifySignature

          public boolean verifySignature(byte[] signature)

      Deprecated.
      Description copied from interface: `Signer`
      return true if the internal state represents the signature described in the passed in array.
      Specified by:
        `verifySignature` in interface `Signer`

    - #### verifyMuSignature

          public boolean verifyMuSignature(byte[] mu,
                                           byte[] signature)

      Deprecated.

    - #### reset

          public void reset()

      Deprecated.
      Description copied from interface: `Signer`
      reset the internal state
      Specified by:
        `reset` in interface `Signer`

    - #### internalGenerateSignature

          protected byte[] internalGenerateSignature(byte[] message,
                                                     byte[] random)

      Deprecated.

    - #### internalVerifySignature

          protected boolean internalVerifySignature(byte[] message,
                                                    byte[] signature)

      Deprecated.